#ifndef OBJETO
#define OBJETO
#include <SDL/SDL.h>

class Objeto
{
	protected:
		SDL_Rect posicion;
		SDL_Surface * imagen;
	public:
		virtual ~Objeto();
		virtual void Actualizar(float time)=0;
		void Dibujar(SDL_Surface * fondo);
	
		int getX();
		int getW();
		int getY();
		int getH();
	
};
#endif
